Gtk::Menu_Helpers::MenuElem Class Reference
Menu classes

Use this class and its subclasses to build menu items. More...

Inheritance diagram for Gtk::Menu_Helpers::MenuElem:
[legend]
Collaboration diagram for Gtk::Menu_Helpers::MenuElem:
[legend]

## Public Member Functions

| MenuElem (MenuItem& child)
| MenuElem (const Glib::ustring& label, const CallSlot& slot=CallSlot())
| Create a labeled, non-accelerated MenuItem with a sigc::slot. More...
| MenuElem (const Glib::ustring& label, const AccelKey& key, const CallSlot& slot=CallSlot())
| Create a labeled, accelerated MenuItem with a sigc::slot. More...
| MenuElem (const Glib::ustring& label, Gtk::Menu& submenu)
| Create a labeled, non-accelerated MenuItem with a submenu. More...
| MenuElem (const Glib::ustring& label, const AccelKey& key, Gtk::Menu& submenu)
| Create a labeled, accelerated MenuItem with a submenu. More...
Public Member Functions inherited from Gtk::Menu_Helpers::Element
| Element ()
| Element (MenuItem& child)
| ~Element ()
const Glib::RefPtr< MenuItem >& | get_child () const

## Additional Inherited Members

Public Types inherited from Gtk::Menu_Helpers::Element
typedef sigc::slot< void > | CallSlot
Protected Member Functions inherited from Gtk::Menu_Helpers::Element
void | set_child (MenuItem* pChild)
void | set_accel_key (const AccelKey& accel_key)
Protected Attributes inherited from Gtk::Menu_Helpers::Element
Glib::RefPtr< MenuItem > | child_

## Detailed Description

Use this class and its subclasses to build menu items.

For example,

m_Menu_File.items().push_back( Gtk::Menu_Helpers::MenuElem("_New",
sigc::mem_fun(*this, &ExampleWindow::on_menu_file_new) ) );

## Constructor & Destructor Documentation

Gtk::Menu_Helpers::MenuElem::MenuElem | ( | MenuItem& | child | ) |

Gtk::Menu_Helpers::MenuElem::MenuElem | ( | const Glib::ustring & | label,
|  | const CallSlot& | slot = `CallSlot()`
| ) |  |

Create a labeled, non-accelerated MenuItem with a sigc::slot.

Parameters

  label | The menu item's name
  slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::MenuElem::MenuElem | ( | const Glib::ustring & | label,
|  | const AccelKey& | key,
|  | const CallSlot& | slot = `CallSlot()`
| ) |  |

Create a labeled, accelerated MenuItem with a sigc::slot.

Parameters

  label | The menu item's name
  key | The accelerator key combination
  slot | Use sigc::mem_fun() to specify a signal handler

Gtk::Menu_Helpers::MenuElem::MenuElem | ( | const Glib::ustring & | label,
|  | Gtk::Menu& | submenu
| ) |  |

Create a labeled, non-accelerated MenuItem with a submenu.

Parameters

  label | The menu item's name
  submenu | The sub menu

Gtk::Menu_Helpers::MenuElem::MenuElem | ( | const Glib::ustring & | label,
|  | const AccelKey& | key,
|  | Gtk::Menu& | submenu
| ) |  |

Create a labeled, accelerated MenuItem with a submenu.

Parameters

  label | The menu item's name
  key | The accelerator key combination
  submenu | The sub menu

The documentation for this class was generated from the following file:

- gtkmm/menu_elems.h